// BuenaVistaDlg.h : header file
//

#ifndef _BVDLG_H
#define _BVDLG_H

// Messages ids
#define DS_CALL		15867
#define DS_JOIN		15868
#define DS_NEW		15869
#define DS_LEAVE	15870
#define DS_DELETE	15871

/////////////////////////////////////////////////////////////////////////////
// CBVtangoDlg dialog

class CBVtangoDlg : public CDialog
{
// Construction
public:
	void *conference;
	void *audio;
	void *video;
	void *audioStat;

	void startAudio();
	void EnableAudioCheck(BOOL enable = TRUE);
	void SetAudioCheck(BOOL mic);
	void SetSwitchChecks(BOOL autoswitch, BOOL manual);
	void SetSpeakerInd(int value);
	void SetMicInd(int value);
	void SetSpeakerCtrl(int value);
	void SetMicCtrl(int value);
	void SetStatus(char *string);
	CBVtangoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBVtangoDlg)
	enum { IDD = IDD_BUENAVISTA_DIALOG };
	CEdit	m_StatusEdit;
	CProgressCtrl	m_SpeakerInd;
	CSliderCtrl	m_SpeakerCtrl;
	CProgressCtrl	m_MicInd;
	CSliderCtrl	m_MicCtrl;
	CButton	m_ManualCheck;
	CButton	m_CameraCheck;
	CButton	m_AutoCheck;
	CButton	m_AudioCheck;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBVtangoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	BOOL startProcess(char *path);
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBVtangoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAudioCheck();
	afx_msg void OnAutoCheck();
	afx_msg void OnCameraCheck();
	afx_msg void OnManualCheck();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnClose();
	afx_msg void OnFileExit();
	afx_msg void OnFileResetsession();
	afx_msg void OnViewAudiopanel();
	afx_msg void OnViewStatistics();
	afx_msg void OnEditOptions();
	afx_msg void OnChat();
	afx_msg void OnDsActiveusers();
	afx_msg void OnDsConferences();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	HBITMAP m_hCameraBmp;
	HBITMAP m_hSpeakerBmp;
	HBITMAP m_hMicBmp;
};

#endif

