// DisplayDlg.cpp : implementation file
//

#include "stdafx.h"
#include "BVtango.h"
#include "DisplayDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDisplayDlg dialog


CDisplayDlg::CDisplayDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDisplayDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDisplayDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CDisplayDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDisplayDlg)
	DDX_Control(pDX, IDC_STATUS, m_status);
	DDX_Control(pDX, IDC_KBPS, m_kbps);
	DDX_Control(pDX, IDC_FPS, m_fps);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDisplayDlg, CDialog)
	//{{AFX_MSG_MAP(CDisplayDlg)
	ON_WM_SIZE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDisplayDlg message handlers

void CDisplayDlg::OnSize(UINT nType, int cx, int cy) 
{
	RECT rect;

	CDialog::OnSize(nType, cx, cy);
	
	//MessageBox("Resize");
	
	//this->GetClientRect(&rect);
	if(m_status.m_hWnd != 0)
	{
		m_status.MoveWindow(0, cy-40, cx, 20);
		m_fps.MoveWindow(0, cy-20, cx/2, 20);
		m_kbps.MoveWindow(cx/2, cy-20, cx/2, 20);
	}
	
		
	
}

BOOL CDisplayDlg::OnInitDialog() 
{
	RECT rect;

	CDialog::OnInitDialog();
	
	this->GetClientRect(&rect);
	if(m_status.m_hWnd != 0)
	{
		m_status.MoveWindow(0, rect.bottom-40, rect.right, 20);
		m_fps.MoveWindow(0, rect.bottom-20, rect.right/2, 20);
		m_kbps.MoveWindow(rect.right/2, rect.bottom-20, rect.right/2, 20);
	}
	
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDisplayDlg::SetStatus(char *text)
{
	m_status.SetSel(0, -1);
	m_status.ReplaceSel(text);

}

void CDisplayDlg::setFps(double fps)
{
	char text[30];

	sprintf(text, "%4.1f fps", fps);
	m_fps.SetSel(0, -1);
	m_fps.ReplaceSel(text);

}

void CDisplayDlg::setKbps(double kbps)
{
	char text[30];

	sprintf(text, "%4.0f kbps", kbps);
	m_kbps.SetSel(0, -1);
	m_kbps.ReplaceSel(text);

}
