// AudioOptDlg.h : header file
//
#include "options.h"

/////////////////////////////////////////////////////////////////////////////
// CAudioOptDlg dialog

class CAudioOptDlg : public CDialog
{
// Construction
public:
	void SetOptions(Options *opt);
	Options * options;
	CAudioOptDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CAudioOptDlg)
	enum { IDD = IDD_AUDIO_DLG };
	CEdit	m_Compression;
	CSliderCtrl	m_Volume;
	CButton	m_Mute;
	CButton	m_MicOff;
	CSliderCtrl	m_MicGain;
	CEdit	m_Mode;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAudioOptDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAudioOptDlg)
	afx_msg void OnMicoff();
	afx_msg void OnMute();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
