#ifndef _CAPTURE_H
#define _CAPTURE_H

#include <vfw.h>

#define BI_YUV9 961893977
#define FPS 10
#define START 14
#define STOP 15

class Capture
{
	private:
		CDialog *display;		// display dialog
		HWND capWnd;				// capture window handle
		BITMAPINFO *info;			// video format info
		HANDLE hCapEvent;			// event for synchronize capturing
		int size;
		int state;
		char *buffer;

		int checkFormat(void);
		static LRESULT PASCAL frameClb(HWND hWnd, LPVIDEOHDR lpVHdr);

	public:
		void sourceDlg();
		void formatDlg();
		int init(HWND parent, int drv, BOOL test = FALSE);
		void close();
		int start(void);
		void stop();
		int getFrame(unsigned char **frame, int *type, int *dx, int *dy);

};

#endif