#ifndef _DSAUDIO_H
#define _DSAUDIO_H

#include <dsound.h>

#define MAX_STREAMS 20
#define START 14
#define STOP 15

class DSbuffer {

private:
	LPDIRECTSOUNDBUFFER DSbuf;
	DSBUFFERDESC dsbdesc;
	int size;
	DWORD pos;
	int state;

public:
	int init(LPDIRECTSOUND lpDirectSound, WAVEFORMATEX *pformat);
	int play(void *buf);
	void close();
	int start();
	int stop();
};

class DSmultiAudio {

private:
	LPDIRECTSOUND lpDirectSound;
	LPDIRECTSOUNDBUFFER DSprimaryBuffer;
	DSBUFFERDESC dsbdesc;
	WAVEFORMATEX format;

	DSbuffer *buffer[MAX_STREAMS];

	void setFormat();
	int createPrimaryBuf();

public:
	int init(HWND hwnd);
	void close();
	int play(int id, void *buf);
	void closeBuf(int id);
	int start(int no);
	int stop(int no);
};

#endif