#include "stdafx.h"
#include "BV_Singleton.h"

int BV_Singleton::reference_no_ = 0;
BV_Singleton *BV_Singleton::ptr_ = NULL;

// BV_Singleton initialization
void *BV_Singleton::instance()
{
  if(reference_no_ == 0)
    {
      ptr_ = create();
    }

  reference_no_++;

  return ptr_;
}

// BV_Singleton destruction
void BV_Singleton::destroy()
{
  if(reference_no_ > 1)
    {
      reference_no_--;
      return;
    }

  if(reference_no_ == 1)
    {
      delete ptr_;
      ptr_ = NULL;
      reference_no_--;
      return;
    }

  if(reference_no_ == 0)
    {
      ptr_ = NULL;
      return;
    }
}

BV_Singleton *BV_Singleton::create()
{
	return new BV_Singleton();
}