// DisplayDlg.h : header file
//

#ifndef _DISPLAYDLG_H
#define _DISPLAYDLG_H

/////////////////////////////////////////////////////////////////////////////
// CDisplayDlg dialog

#include <vfw.h>
#include <wingdi.h>

#include "resource.h"

#define COL256 1
#define TRUECOL 2

class CDisplayDlg : public CDialog
{
// Construction
public:
	void setKbps(double kbps);
	void setFps(double fps);
	void SetStatus(char *text);
	CDisplayDlg(CWnd* pParent = NULL);   // standard constructor

	static void globalInit();
	int open(void *member);
	void close();
	int display(char *image);

	// Dialog Data
	//{{AFX_DATA(CDisplayDlg)
	enum { IDD = IDD_DISPLAY };
	CEdit	m_status;
	CEdit	m_kbps;
	CEdit	m_fps;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDisplayDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDisplayDlg)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	static BITMAPINFO *bmpInfo;
	static int mode;

	void *member_;

	CClientDC *cDc;
	HDRAWDIB hDraw;
	HDC hDc;

};

#endif