#ifndef __WINTHREAD_H
#define __WINTHREAD_H

#include "Thread.h"

class WinThread : public Thread
{

 public:
  WinThread();
  int start();
  int stop();
  int kill();
  void set_priority(int priority);

 protected:

  virtual int run() = 0;
  static void run_callback(void *arg);

  HANDLE hThread;
  DWORD dwThreadId;
  int running;
};

#endif

